PETSc version 3.15.5
Fix/Edit manual page

# PetscSortedRemoveDupsInt

Removes all duplicate entries of a sorted input array

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscSortedRemoveDupsInt(PetscInt *n,PetscInt X[])

Not Collective

### Input Parameters

| n | - number of values
| X | - sorted array of integers

### Output Parameter

| n | - number of non-redundant values

### See Also

PetscSortInt()

### Level

intermediate

### Location

src/sys/utils/sorti.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages